public inbox for lvm2-cvs@sourceware.org
help / color / mirror / Atom feed
From: wysochanski@sourceware.org
To: lvm-devel@redhat.com, lvm2-cvs@sourceware.org
Subject: LVM2/test t-vgsplit-operation.sh
Date: Fri, 29 Feb 2008 00:09:00 -0000 [thread overview]
Message-ID: <20080229000921.4295.qmail@sourceware.org> (raw)
CVSROOT: /cvs/lvm2
Module name: LVM2
Changes by: wysochanski@sourceware.org 2008-02-29 00:09:21
Modified files:
test : t-vgsplit-operation.sh
Log message:
Add vgsplit test to check failure when PV not in source volume group.
Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/t-vgsplit-operation.sh.diff?cvsroot=lvm2&r1=1.9&r2=1.10
--- LVM2/test/t-vgsplit-operation.sh 2008/02/28 17:39:47 1.9
+++ LVM2/test/t-vgsplit-operation.sh 2008/02/29 00:09:21 1.10
@@ -163,6 +163,19 @@
vgremove -f $vg2 &&
vgremove -f $vg1'
+test_expect_success \
+ 'vgsplit rejects split because PV not in VG' \
+ 'vgcreate $vg1 $d1 $d2 &&
+ vgcreate $vg2 $d3 $d4 &&
+ lvcreate -l 4 -n $lv1 $vg1 &&
+ lvcreate -l 4 -n $lv2 $vg1 &&
+ vgchange -an $vg1 &&
+ vgsplit $vg1 $vg2 $d3 2>err;
+ status=$?; echo status=$?; test $status = 5 &&
+ grep "^ Physical volume $d3 not in volume group $vg1" err &&
+ vgremove -f $vg2 &&
+ vgremove -f $vg1'
+
test_done
# Local Variables:
# indent-tabs-mode: nil
next reply other threads:[~2008-02-29 0:09 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2008-02-29 0:09 wysochanski [this message]
-- strict thread matches above, loose matches on Subject: below --
2010-03-29 16:40 mornfall
2008-09-30 18:29 mornfall
2008-09-30 17:56 mornfall
2008-04-10 18:55 wysochanski
2008-04-09 21:10 wysochanski
2008-03-21 21:14 wysochanski
2008-03-04 22:49 wysochanski
2008-02-28 17:39 wysochanski
2008-02-28 16:48 wysochanski
2008-01-22 3:30 wysochanski
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20080229000921.4295.qmail@sourceware.org \
--to=wysochanski@sourceware.org \
--cc=lvm-devel@redhat.com \
--cc=lvm2-cvs@sourceware.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).